Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.routing
Enum CorrelationMode

    java.lang.Object
      java.lang.Enum<CorrelationMode>
          org.mule.routing.CorrelationMode

All Implemented Interfaces:
  Serializable, Comparable<CorrelationMode>

    public enum CorrelationMode

extends Enum<CorrelationMode>

Enum Constant Summary
`ALWAYS`
`IF_NOT_SET`
`NEVER`

Method Summary
`static CorrelationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CorrelationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IF_NOT_SET

    public static final CorrelationMode IF_NOT_SET

### ALWAYS

    public static final CorrelationMode ALWAYS

### NEVER

    public static final CorrelationMode NEVER

Method Detail

### values

    public static CorrelationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CorrelationMode c : CorrelationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CorrelationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.